news/flnews - The NetBSD Packages Collection

Fast and lightweight USENET newsreader with GUI

flnews is a client with graphical user interface to read USENET newsgroups.
It is intended for POSIX compliant operating systems running the X window
system.

The main development goals are (in order of importance):
- No bloat
- Support for old workstations
- Standard compliance
- Be conservative in what you do, be liberal in what you accept from others
- Compatibility with other newsreaders
- Usable X display redirection via network (or ssh tunnel)
- Warn users about things that are not forbidden but considered "bad practice"

Features that are currently not implemented (or not usable yet):
- UUCP
- Multiple servers
- Offline mode (for network connection via dialup line)

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers

Runtime dependencies

misc/xdg-utils graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/fltk13 graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/fltk13

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfflnews-0.18.tgz
NetBSD 8.0earmv7hfflnews-0.18.tgz
NetBSD 8.0i386flnews-0.17nb2.tgz
NetBSD 8.0i386flnews-0.18.tgz
NetBSD 8.0i386flnews-0.18.tgz
NetBSD 8.0powerpcflnews-0.17nb2.tgz
NetBSD 8.0powerpcflnews-0.18.tgz
NetBSD 8.0powerpcflnews-0.18.tgz
NetBSD 8.0x86_64flnews-0.18.tgz
NetBSD 8.0x86_64flnews-0.17nb2.tgz
NetBSD 8.0x86_64flnews-0.18.tgz
NetBSD 9.0aarch64flnews-0.18.tgz
NetBSD 9.0aarch64flnews-0.17nb2.tgz
NetBSD 9.0aarch64flnews-0.18.tgz
NetBSD 9.0alphaflnews-0.18.tgz
NetBSD 9.0alphaflnews-0.17nb2.tgz
NetBSD 9.0alphaflnews-0.18.tgz
NetBSD 9.0earmv6hfflnews-0.18.tgz
NetBSD 9.0earmv6hfflnews-0.17nb2.tgz
NetBSD 9.0earmv6hfflnews-0.18.tgz
NetBSD 9.0earmv6hfflnews-0.18.tgz
NetBSD 9.0earmv7hfflnews-0.18.tgz
NetBSD 9.0earmv7hfflnews-0.17nb2.tgz
NetBSD 9.0earmv7hfflnews-0.18.tgz
NetBSD 9.0earmv7hfflnews-0.18.tgz
NetBSD 9.0i386flnews-0.17nb2.tgz
NetBSD 9.0i386flnews-0.18.tgz
NetBSD 9.0i386flnews-0.18.tgz
NetBSD 9.0mips64ebflnews-0.18.tgz
NetBSD 9.0mips64ebflnews-0.17nb2.tgz
NetBSD 9.0mips64ebflnews-0.18.tgz
NetBSD 9.0powerpcflnews-0.18.tgz
NetBSD 9.0powerpcflnews-0.17nb2.tgz
NetBSD 9.0sparc64flnews-0.18.tgz
NetBSD 9.0sparc64flnews-0.17nb2.tgz
NetBSD 9.0sparc64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.17nb2.tgz
NetBSD 9.0x86_64flnews-0.18.tgz
NetBSD 9.0x86_64flnews-0.18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

inet6
Enable support for IPv6.
nls
Use native language support.
xdbe
Use X11 Double Buffer Extension.
xdg-utils
Enable xdg-utils support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.